cURL
curl --request GET \
--url https://api.unize.org/v1/storage/{graph_id}/retrieval/{retrieval_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.unize.org/v1/storage/{graph_id}/retrieval/{retrieval_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.unize.org/v1/storage/{graph_id}/retrieval/{retrieval_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"question": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"retrieval_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"answer": "<string>",
"status": "queued",
"completed_at": "2023-11-07T05:31:56Z",
"system": "rt-0.5"
}Unize Retrieval Endpoints
Fetch Answer
GET
/
v1
/
storage
/
{graph_id}
/
retrieval
/
{retrieval_id}
/
cURL
Authorizations
Send the API generated from the Playground:
Authorization: <api_key>
Path Parameters
The graph_id of the knowledge graph from which to retrieve the answer. A graph_id is an alphanumeric string that uniquely identifies a knowledge graph.
The retrieval_id of the specific retrieval request. A retrieval_id is an alphanumeric string that uniquely identifies a retrieval request.
Response
200 - application/json
The natural language question that was asked.
The date and time when the retrieval request was created.
The alphanumeric string that uniquely identifies the retrieval request.
The answer generated by the system based on the knowledge graph.
The status of the retrieval request.
Available options:
queued, in_progress, success, failed The date and time when the retrieval request was completed.
rt-0.5(default) - first retrieval system
Available options:
rt-0.5